Debian Bug report logs - #467845
libregexp-shellish-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libregexp-shellish-perl; Maintainer for libregexp-shellish-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libregexp-shellish-perl is src:libregexp-shellish-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:21:52 UTC

Severity: important

Tags: patch

Found in version libregexp-shellish-perl/0.93-1

Fixed in version libregexp-shellish-perl/0.93-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Bastian Blank <waldi@debian.org>:
Bug#467845; Package libregexp-shellish-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libregexp-shellish-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:24 +0200
Package: libregexp-shellish-perl
Version: 0.93-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#467845; Package libregexp-shellish-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #10 received at 467845@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467845@bugs.debian.org
Subject: libregexp-shellish-perl: diff for NMU version 0.93-1.1
Date: Sat, 5 Apr 2008 22:32:33 +0100
[Message part 1 (text/plain, inline)]
tags 467845 + patch
thanks

Hi,

Attached is the diff for my libregexp-shellish-perl 0.93-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libregexp-shellish-perl-0.93-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:41:22 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467845-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467845-close@bugs.debian.org
Subject: Bug#467845: fixed in libregexp-shellish-perl 0.93-1.1
Date: Sat, 05 Apr 2008 21:47:12 +0000
Source: libregexp-shellish-perl
Source-Version: 0.93-1.1

We believe that the bug you reported is fixed in the latest version of
libregexp-shellish-perl, which is due to be installed in the Debian FTP archive:

libregexp-shellish-perl_0.93-1.1.diff.gz
  to pool/main/libr/libregexp-shellish-perl/libregexp-shellish-perl_0.93-1.1.diff.gz
libregexp-shellish-perl_0.93-1.1.dsc
  to pool/main/libr/libregexp-shellish-perl/libregexp-shellish-perl_0.93-1.1.dsc
libregexp-shellish-perl_0.93-1.1_all.deb
  to pool/main/libr/libregexp-shellish-perl/libregexp-shellish-perl_0.93-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467845@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libregexp-shellish-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:05 +0100
Source: libregexp-shellish-perl
Binary: libregexp-shellish-perl
Architecture: source all
Version: 0.93-1.1
Distribution: unstable
Urgency: low
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libregexp-shellish-perl - Shell-like regular expressions
Closes: 467845
Changes: 
 libregexp-shellish-perl (0.93-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467845
Files: 
 c6a9bf6e490b96654816d3d3ef30db56 662 perl optional libregexp-shellish-perl_0.93-1.1.dsc
 0277b7016f1228acbf15b09ba76fa58a 1406 perl optional libregexp-shellish-perl_0.93-1.1.diff.gz
 e08099f1fbd1ae5c9d44469118ce037e 6740 perl optional libregexp-shellish-perl_0.93-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+QlNIW6CNDsByMRAonsAJ4mbSBKbnBBR4nu3Rv3vNI575q0jACgwEsM
vngfxh2oRESfTzEKNF9uq9E=
=Whrh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:42:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:21:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.